org.jboss.resteasy.springmvc.tjws

## Class TJWSEmbeddedSpringMVCServer

- java.lang.Object
- - org.jboss.resteasy.plugins.server.tjws.TJWSServletServer
  - - org.jboss.resteasy.springmvc.tjws.TJWSEmbeddedSpringMVCServer

-     public class TJWSEmbeddedSpringMVCServer
      extends TJWSServletServer

  Version:
    $Revision: 1 $
  Author:
    Solomn Duskis

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.jboss.resteasy.plugins.server.tjws.TJWSServletServer

      `TJWSServletServer.FileMappingServe`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected String` | `rootResourcePath`
    `protected TJWSSpringMVCDispatcher` | `servlet`

    - ### Fields inherited from class org.jboss.resteasy.plugins.server.tjws.TJWSServletServer

      `props, server`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TJWSEmbeddedSpringMVCServer()`
    `TJWSEmbeddedSpringMVCServer(String applicationContext, int port)`
    `TJWSEmbeddedSpringMVCServer(String applicationContext, int port, String rootResourcePath)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.springframework.context.ApplicationContext` | `getApplicationContext()`
    `void` | `setRootResourcePath(String rootResourcePath)`
    `void` | `setSecurityDomain(SecurityDomain sc)`
    `void` | `setSpringConfigLocation(String configFile)`
    `void` | `start()`

    - ### Methods inherited from class org.jboss.resteasy.plugins.server.tjws.TJWSServletServer

      `addFileMapping, addServlet, addServlet, addServlet, setBindAddress, setKeepAlive, setKeepAliveTimeout, setMaxKeepAliveConnections, setPort, setProps, setSessionTimeout, setSSLAlgorithm, setSSLKeyStoreFile, setSSLKeyStorePass, setSSLKeyStoreType, setSSLPort, setSSLProtocol, setThreadPoolSize, stop`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### servlet

          protected TJWSSpringMVCDispatcher servlet

    - #### rootResourcePath

          protected String rootResourcePath

  - ### Constructor Detail

    - #### TJWSEmbeddedSpringMVCServer

          public TJWSEmbeddedSpringMVCServer()

    - #### TJWSEmbeddedSpringMVCServer

          public TJWSEmbeddedSpringMVCServer(String applicationContext,
                                     int port)

    - #### TJWSEmbeddedSpringMVCServer

          public TJWSEmbeddedSpringMVCServer(String applicationContext,
                                     int port,
                                     String rootResourcePath)

  - ### Method Detail

    - #### setRootResourcePath

          public void setRootResourcePath(String rootResourcePath)

    - #### start

          public void start()

      Overrides:
        `start` in class `TJWSServletServer`

    - #### setSecurityDomain

          public void setSecurityDomain(SecurityDomain sc)

    - #### setSpringConfigLocation

          public void setSpringConfigLocation(String configFile)

    - #### getApplicationContext

          public org.springframework.context.ApplicationContext getApplicationContext()

Copyright © 2014. All Rights Reserved.